### Signal

# Adw TabOverview::create-tab

since: 1.3

#### Declaration

    AdwTabPage*
    create_tab (
      AdwTabOverview* self,
      gpointer user_data
    )

#### Description [src]

Emitted when a tab needs to be created;

This can happen after the new tab button has been pressed, see `AdwTabOverview:enable-new-tab`.

The signal handler is expected to create a new page in the corresponding `AdwTabView` and return it.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.3

#### Return value

Type: `AdwTabPage`

The newly created page.

The data is owned by the called function.